Imports System.IO  ' namesraum für dateizugriffe
Module modDateiZugriff

    Dim strDateiname As String = "fragen.txt" '*** testen 

    Public Sub LeseDatenAusDatei()
        If Not File.Exists(strDateiname) Then
            FehlerHinweis()
        End If
        Dim strZeile As String
        Try
            Dim fs = New FileStream(strDateiname, FileMode.Open)
            Dim sr = New StreamReader(fs)
            Do Until sr.Peek() = -1
                strZeile = sr.ReadLine()
                Form1.LstAlleFragen.Items.Add(strZeile)
            Loop
            sr.Close()
        Catch ex As Exception
            FehlerHinweis()
        End Try
    End Sub
    Private Sub FehlerHinweis()
        MessageBox.Show("Die für das Spiel erforderliche Datei" & vbCrLf &
            strDateiname & " wurde nicht gefunden!", "Quiz",
            MessageBoxButtons.OK, MessageBoxIcon.Error)
        Form1.Close()  ' form entladen  
        Exit Sub  '---------------------->
    End Sub
End Module
